## openxcom 1.0git-maemo1

=== CMakeLists.txt ===
project ( OpenXcom )

cmake_minimum_required ( VERSION 2.8 )
set ( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

option ( DEV_BUILD "Development Build. Disable this for release builds" ON )
option ( BUILD_PACKAGE "Prepares build for creation of a package with CPack" ON )
option ( ENABLE_WARNING "Always show warnings (even for release builds)" OFF )
option ( FATAL_WARNING "Treat warnings as errors" OFF )
option ( ENABLE_CLANG_ANALYSIS "When building with clang, enable the static analyzer" OFF )
set ( MSVC_WARNING_LEVEL 3 CACHE STRING "Visual Studio warning levels" )
option ( FORCE_INSTALL_DATA_TO_BIN "Force installation of data to binary directory" OFF )
set ( DATADIR "" CACHE STRING "Where to place datafiles" )

if ( WIN32 )
  set ( default_deps_dir "${CMAKE_SOURCE_DIR}/deps" )
endif ()

if ( APPLE )
  set ( MACOS_SDLMAIN_M_PATH "${CMAKE_SOURCE_DIR}" CACHE STRING "Path to SDLMain.m file" )
  option ( CREATE_BUNDLE "Create a Mac OS application bundle" ON )
  if ( NOT EXISTS "${MACOS_SDLMAIN_M_PATH}" )
    message ( FATAL_ERROR "On Mac OS, SDLMain.m is required. Please set the MACOS_SDLMAIN_M_PATH variable" )
  endif ()
endif ()

set ( DEPS_DIR "${default_deps_dir}" CACHE STRING "Dependencies directory" )

# Add check for library (SDL_gfx, yaml-cpp )
if ( IS_DIRECTORY ${DEPS_DIR} )
   include_directories ( ${DEPS_DIR}/include/SDL ${DEPS_DIR}/include/yaml-cpp ${DEPS_DIR}/include )
   if ( CMAKE_CL_64 )
     link_directories ( ${DEPS_DIR}/lib/x64 )
   else ( )
     link_directories ( ${DEPS_DIR}/lib/Win32 )
   endif()
   set( SDL_LIBRARY SDL )
   set ( SDLGFX_LIBRARY SDL_gfx )
   set ( SDLMIXER_LIBRARY SDL_mixer )
   set ( SDLIMAGE_LIBRARY SDL_image )
   set ( YAMLCPP_LIBRARY yaml-cpp )
else ( )
  find_package ( SDL2 COMPONENTS mixer gfx image)
  find_package ( Yaml_cpp 0.5.0)
  find_package ( OpenGL )

  if ( NOT OPENGL_FOUND )
	  message ( FATAL_ERROR "Can't find OpenGL; how does that even happen?" )
  else ()
	  include_directories ( ${OPENGL_INCLUDE_DIR} )
  endif ()

  if ( NOT SDL_FOUND )
    message ( FATAL_ERROR "Can't find SDL which is required" )
  else ()
    include_directories ( ${SDL_INCLUDE_DIR} )
    message ( "found SDL ${SDL_MAJOR}.${SDL_MINOR}.${SDL_MICRO} (${SDL_LIBRARY_DIRS}:${SDL_INCLUDE_DIR})" )
  endif ()

  if ( NOT SDLMIXER_FOUND )
    message ( FATAL_ERROR "Can't find SDL_mixer which is required" )
  else ()
    include_directories ( ${SDLMIXER_INCLUDE_DIR} )
    message ( "found SDL_mixer ${SDL_MIXER_MAJOR}.${SDL_MIXER_MINOR}.${SDL_MIXER_MICRO} (${SDL_MIXER_LIBRARY_DIRS}:${SDLMIXER_INCLUDE_DIR})" )
  endif ()

  if ( NOT SDLGFX_FOUND )
    message ( FATAL_ERROR "Can't find SDL_gfx which is required" )
  else ()
    include_directories ( ${SDLGFX_INCLUDE_DIR} )
    message ( "found SDL_gfx ${SDL_GFX_MAJOR}.${SDL_GFX_MINOR}.${SDL_GFX_MICRO} (${SDL_GFX_LIBRARY_DIRS}:${SDLGFX_INCLUDE_DIR})" )
  endif ()

  if ( NOT SDLIMAGE_FOUND )
    message ( FATAL_ERROR "Can't find SDL_image which is required" )
  else ()
    include_directories ( ${SDLIMAGE_INCLUDE_DIR} )
    message ( "found SDL_image ${SDL_IMAGE_MAJOR}.${SDL_IMAGE_MINOR}.${SDL_IMAGE_MICRO} (${SDL_IMAGE_LIBRARY_DIRS}:${SDLIMAGE_INCLUDE_DIR})" )
  endif ()

  if ( NOT YAMLCPP_FOUND )
    message ( FATAL_ERROR "Can't find yaml-cpp which is required" )
  else ()
    include_directories ( ${YAMLCPP_INCLUDE_DIR} )
    message ( "found yaml-cpp(${YAMLCPP_LIBRARY_DIRS}:${YAMLCPP_INCLUDE_DIR})" )
  endif ( NOT YAMLCPP_FOUND )
endif()

# Read version number
set ( file "${CMAKE_SOURCE_DIR}/src/version.h" )
file ( READ ${file} lines )
string ( REGEX MATCH "[.]*OPENXCOM_VERSION_SHORT \"([0-9]).([0-9])" version_line "${lines}" )
set ( CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1} )
set ( CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2} )
set ( CPACK_PACKAGE_VERSION_PATCH "" )
find_package ( Git )
if ( GIT_FOUND )
  message("git found: ${GIT_EXECUTABLE}")
  execute_process ( COMMAND ${GIT_EXECUTABLE} describe --dirty
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE git_describe_out
    ERROR_VARIABLE git_describe_error
    RESULT_VARIABLE git_describe_result
    )
  string ( REGEX MATCH "([a-z|0-9|.]*)-([0-9]*)-([a-z|0-9]*)([-|a-z]*)" git_commit "${git_describe_out}" )
  set ( git_tag ${CMAKE_MATCH_1} )
  set ( git_nb_commit ${CMAKE_MATCH_2} )
  set ( git_commit ${CMAKE_MATCH_3} )
  set ( git_dirty ${CMAKE_MATCH_4} )
  add_definitions( -DOPENXCOM_VERSION_GIT="${git_commit}" )
endif()

if ( DEV_BUILD )
  # Append the commit to version number
  set ( CPACK_PACKAGE_VERSION_PATCH "${git_commit}${git_dirty}" )
  set ( CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}" )
else ()
  set ( CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_NSIS_PACKAGE_NAME}" )
  set ( CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}" )
endif ()

if ( BUILD_PACKAGE )
  if ( NOT DEV_BUILD )
    string ( LENGTH "${git_dirty}" is_dirty )
    if ( ${is_dirty} GREATER 0 )
      message ( FATAL_ERROR "Release package must be built from a clean tree" )
    endif ()
    if ( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
      message ( FATAL_ERROR "Release package can't be built from a debug build" )
    endif ()
  endif ( )
  set ( CPACK_PACKAGE_VENDOR "The OpenXcom project" )
  set ( CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.txt" )
  if ( NOT APPLE )
    set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE.txt" )
  endif ()
  set ( CPACK_PACKAGE_CONTACT "The OpenXcom project (http://www.openxcom.org)" )
  include ( deb )
  include ( rpm )
  include ( nsis )
  include ( apple )
  include ( CPack )
  message ( "version:${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
)
endif()

if ( NOT WIN32 )
  install(FILES "${CMAKE_SOURCE_DIR}/res/linux/openxcom.desktop"     DESTINATION share/applications)
  install(FILES "${CMAKE_SOURCE_DIR}/res/linux/icons/openxcom_48x48.png"   DESTINATION share/icons/hicolor/48x48/apps RENAME openxcom.png)
  install(FILES "${CMAKE_SOURCE_DIR}/res/linux/icons/openxcom_128x128.png"   DESTINATION share/icons/hicolor/128x128/apps RENAME openxcom.png)
  install(FILES "${CMAKE_SOURCE_DIR}/res/linux/icons/openxcom.svg"   DESTINATION share/icons/hicolor/scalable/apps)
endif ()

add_subdirectory ( docs )
add_subdirectory ( src )

=== debian/changelog ===
openxcom (1.0git-maemo1) unstable; urgency=low

  * Initial release from git

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 10 Oct 2014 15:22:55 +0300

=== debian/control ===
Source: openxcom
Section: user/games
Priority: extra
Maintainer: Siim Salonen <siim.salonen@gmail.com>
Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev
Standards-Version: 3.7.2
Homepage: http://openxcom.org/

Package: openxcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget, unzip, zenity
Description: Open-source clone of UFO: Enemy Unknown
 OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
 turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
 OpenXcom requires game resources from the original game (DOS, Windows or Steam version).
XB-Maemo-Display-Name: OpenXcom
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAOI0lEQVRogbWZ
 aYxd5XnHf+85d5+5s6+e8XiZesVjCraLKYsLiakCjYAmJbQNUPohqpqgEgSE
 SLTJh6aK1LRRlChqpLZyEYmtRlXKEkIdMGBjFoOxjcfG+8x4zMydO/feufvZ
 37cfzrkz9hjPYsgjPbp37pzznuf/Ptv/fY7gsxMNEMGnFvwmPuE6Faic9XlV
 8kkPWKxof/nkY7fpeugeoWm/LzRxM0qhFKjALqUUSilcKQu2bR83qtX9mXT6
 xfd+9cIhwAnUuxognwaAeODpx28Li+h/IlgmpUe0vZVIUwOEQkglUWrGHgXY
 pTKVTI7qZBbH86iUywdGh4f/fmjvW+8DBmCzSI9cFYC/evTRJi2Z+JHQxINK
 1+i4fiN1S7uRoRCOknhKIZVC4Xtitni2ReqDo4y+f4RKsUhuIv394dff/AlQ
 BEx8jyxI9KuwX1y//fafCU082LhqJUtu3Yre2oSJwvQ8TOlhBWpLD0fJy9TT
 NOI9XTSuXkF29GOsUvnmSGNTqTw2fgpw8cNJ/k4APPDtJ/80FNL/Kd7dQeeN
 mzFRVD0Xw3OxpIcjfQ+4SiIDT8xWL1CiEZpW9pE6MoiU3hZpmW/ZpcoUfigt
 KCe0+S6YfX1YD31H6RpdN27G8FyqnoPhuf5uS4kbGFcrNXOqlOjhMP3btyE8
 WRfv6LwPaAHqgNCCDFosAKk8EWtvxQvpmJ6L5XnTcX+1tbChtwcRDqEJeoFm
 fABhFpCjiwaApg1o8dh0PNdC5aoLOQKhCaLJerRwZD1QD8TxPTCvfYsC8KVv
 fmMjShFtbsKVCk9JpPoUXQhA+Juc7OlGC+mtQCzQz9wDIqxHrpNKkehqR1Iz
 /lOZX1uaRGsLKEVDT/e1QIQFemBBiVJ7iqaL5VJKjv7yeaxomGK1ilYfp/Pa
 a2ha3rcok1OHB5n86BROpYpn2UydHUYBnkK/CMC8HlgMAJTrajIcxjFM8qkJ
 ipUyjuuSOjRI4/KlbLj/HkKx2JxrlFNpBnf9Citf9CmGlEjHZSYQlRbYpTPD
 r67o5kWFkASUVHhS4knp852g1RaGRzm8Yxeuac5p/OEdu7DyxVn/CRJJKUAK
 ZkjhZ1uFlJJCKhk8qKYzUklNcuGdg1e8/8zLe/BMa/ai02TvIlkwxVkUACl9
 gtZx7frZD5yWKwEop9IUhken/1a++1BKoYXDtKxacfF+LLgyLAqAYVojUima
 Vi5jw5/fS8ua/suuiTU1LHg9LRqhbf1q1v/ZFwnF4ygUTsXIcGnDnlMWk8Sq
 Wi6fj8Ri2MUyjauWs6Gni7VX8MRsqe/qYNt3n/AXUgrlebimiVUsY+YLWIUi
 KIVdKE3i86DPngu99uyuNyzbvjC8753LY3mBMl15XBfPcnANk8LIKLnTQ5jF
 4l58Imfjs9J5zwaLAaAAL/3x6Dc90yL1wYcIxOIPFAEAz3ZwDAPHMBl7/whS
 STM/NPoCUA3UYgGUerEAnPef+81rlmG+lzo0iFMsLQpCbfc9y8apGjhVg8L5
 Ucrjaax8fq+0rCxQAEq/CwAEC5qp8yPfUZbN2ZdeRRMLq3kXh45rWjiGgVUo
 MvLG20jHnSqcH9sN5IGpAEDteDmnLPZAowCVHRnNdq1e2S0N+1rP80j29c6f
 bReFjmuauFWD4df3UxmfoDw2sdPK548BKWAiAGKzgCS+miOlAvj4+Mm3V2zc
 sK1wYbxbr0+Q6Gy/vDcEtb5W75ES6XlIxyV16EMmDh+jmpvaXRge2Q2kAwAZ
 /BzwFmLM1QCogVBGobSvY9nSz018dKpFq0uQaG1GehI1rZ7/KQNgQiCEIH3s
 JMN73sQulQ5OHv1oV2D0eACiiL/7C5KrBQAgqoWCW87k9iW7OreNHzvRbJVK
 JFqbUJ7Es+1AHZSUCE0gHYczL+/hwv4D2JXK8bF3P9iBHy7pQAv4U4kFHehh
 cWOVGskSX33qiXtCuv4PtuduzBUKpDKTFItFpO0gwiGalvfSuub3ANA0HT0a
 oZrJkjp8DM+6dHM1TUNIuc/O5n4w9M77bwMVLh10zZkHCwEgHnjq8dtcx9Fd
 x9EjicStkXDk2+HGeqLdnRTNKuOTk5zZs4/qZPaAHgr1inBoiX+nQGgaWiiE
 Hg7h2s7ZaH1dvx6L0rt1E5oQCMfDOH+BkO1RTGce0UOkpMCayhfOnnl131AA
 pNbULpP5qIR4+OmndiC0BzU9hB6JIJWC+jjL7vo8lucR8Rz0Uokze/bhuXYu
 dejDZyKNybposq4FTQM0oQmEXa5kjOxUdt3dd/57XWszfVs3o8ei6ELgFcsM
 /sdO6ttafqwJge04xIUoLt1203dH39j/LH5Sm3xCYs8J4L7HHn3Y8bwHWwdW
 E+1oxZX+AT6crKPsOtjSw/Q8PtixE6FplEbH3gVKdqF03i6Uqvjuv9jLIqJp
 R2W+NDD029fp/+IfYzsuoj7B8vvvBttGAI70qL6ytyFcLP9rw9Lu48XR8UH8
 XDFme2KuRqYZVvXvqkjiG9ZgtzVhtjVitzdRjUUoOjZV18VVEte0EJpG1+br
 HmlZu2YAv5KkgVFgONCRG+69e3NzY0tbLBIl2tjgN7NSCTOXR49F0BuTiGQd
 eixG13UDuKZFvL3tq0Ar/qTisqIzlwfEZKFYlFNTGHv3UZ3KY2RyVDI5InUJ
 1t57J4nWFoSmsflvHuL0b14lfeR4S+ea/seXrlu9PXf69JOjgydOAOb2h+7f
 2tDc/j2E2OBGdFpv3gLtLVQzOZxKlUo6w9jBw3iWTX1XB9L1qExm8BwHYzIz
 hD9qiQFl/HyYTuy5klhfuu2mP4wk4jul6/VI20Z6HgplCF0nmkzGV9x+E0tv
 ugFN9zemkkoz8spe3HSW+kQdwrF/nmxs6kjE49sJh2jftJFofx9TtkV5MoOR
 zTP61gFSh46iHHdKC4eaFYD0G195YvLnxZHzvwZGAs3ic6QFAdCAurYNa7dF
 4okvOaZZbxVLqeLI6IeRxsbmjg1r/zqarF/T1L+cVV/4HPVdHT5qIcgePUH6
 wAfolkM8GqNv6ybaB9Zi6zoFx6Y8NUXmo9OceflVqpkcZm5qd+70uV9r0aho
 6uvdKnSRUJ6s5k6fewm/yV3Ab3QFZk2u5wIg8McbjUAb/swyHvzuAdqSP9h0
 X0NX+18IoSXaN65j9d1fCJALlG1hTeZINjeRaGxEAabnkk1NcPqlV5g4PIhT
 Ncamhs//wspNncJP0jJ+F671HDv4PYNP8i5rcvP1AQ2I4s8qEwGg2mshHahb
 cs26La0rl32NSGRLcmUf679yD0ophPCJti40dCH846KUvPG9H2IVimZ5LPXb
 7InTr15kYCbYYYuZqYSLX3nKXE0ZDQy1ghurzFQtFXyP26XKoYaGRtNRirqW
 ZqTrIV0/z4SmIUMhXE2bHu7EmxvxDDMWa0h2heNx6RhGFj88JvFpdC1Eare4
 zLwzuEwWwoVqO17T2nlVfvnrX7+z//qNvwyFQ6s7Nm+k85YbsCtVnKo/bUsd
 HqQ0nqa+s216BtoxsI7ix+N4ttPT0LtkSzgRO1FJZ07gl16DGRpxybOuZNyC
 qMRXnnj0ulAofK90HN0yrcGRw0ffXH/r1p9qInRXtLud1huvpySgWCphTuXJ
 nTnH6P4DGLkCWkinaUUfK26/heb+5dMVKz98njMv7EY3HUKeu2vo4Iffv27b
 to2RRGR9qWpQKBULh/7nuZ8yz0vA+QCIh57+1g4htAf9iZyHlP5miHCYnpu3
 EO1dQt6xKJZKTJ0b5uzu18kPnQelcE3jmBaOxqIN9f1aKEz3pgFW3fn56fGj
 sizG9r9H4ehJ6uJx4tEoCkW5WiVXKJCdmPjWhX3vPIsfWgZ+KF0ic4bQlx97
 5Eco8bWOTQM0rl+FSNbh6BqioY5ld/wRormRomuTy2Q4+dzLnHrh/zCzU7im
 PVa4cOGZ/JnhF8tj43uUlMfjjU3rqtlcYuzgEaTr0rS8DxEK0bCij3h3B4XJ
 SeJ9S6hfvZK6a1ZRrVQxJnPbI8nkWGUiPXQlL8wFQOsZ2PCUFwkv67r9Jpx4
 FNHaTGxZD/FlvdgCDM+lYhi8+8N/I3dmCM+0p8rpzPO5k6efdcrVs/iJmbYK
 xVP5oeH/behqj4SjkZWFkQvham6Klv7luIaJiEZoXLWCeE8nIlmHUhCKRRk/
 eATXNrOV1ORh/CpUe3c2LXNSifFUeqeey96aeWYn8dZmkAo0QbK7k7a1q/Bs
 B7tUBiFQnkdueHiHlcufwi+Jk/ids9b+I8P73vnngbvv2uIK1a88D6dq4lSr
 mIUCk8dO4VkWSimk65EfGsFzHArDo+8yU8J1Zk2r5wKgBp9/8RfLb7tla6lY
 fEi6rl/fEaAJtvztwwhdxzVM+u/YxpH/+m8Sba1rrVz+AP7ZdpxLGWSobeXK
 kB6J9Ec7W+m/4zbMQhGnXCF78hwjr+8Pnhq8NFFQ+jj1MytfnGBmwLWoJBb4
 BKoV6AY6gIZoU3JJ58YNPwjX19OyagXScbEKBXKnhyiMXviXynj6NXz2meLS
 uq4BsdV/cscrnie3dl8/gF2pYpfKZE6exa0YU6lDR/4RP1Ss4D4DyAWbMXu9
 eQGA76EEPp1oCr5H6nt6rkn2dH1DD+nXKOkf2u1y5d3M8RM/wafQI/ghVDsT
 1CTS0Nvb17qm/0UpvTWe7eA5juEaxpnsqXM7pGVlmKEUVgCmzMys6LJh17xl
 FD/uooGGA40HgFqAJH58esHDa7tVm+1cLDo+LenA92pbsJbC3+08/o7XJhNO
 8GlxhUHXfFSi1sprlKIGKIK/MwV8rh4OrqkERlT4hJp90TpTwdolZviVFfxd
 q/kOl7KATzzc/z9UA8L+EboPVAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


MAKE += -C src -f Makefile.simple
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-stamp

build-stamp:  $(QUILT_STAMPFN)
	dh_testdir

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	#	$(MAKE) prefix=$(CURDIR)/debian/openxcom/usr install
	# todo: enable dh_makeshlibs in libsdl-mixer1.2.8 

	dh_install -s

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary-indep: build install
# We have nothing to do by default.

#binary: binary-arch binary-indep
binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openxcom 1.0git-maemo2

=== debian/changelog ===
openxcom (1.0git-maemo2) unstable; urgency=low

  * remove libsdl-mixer1.2.8 dependency

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 23 Oct 2014 12:59:31 +0300

## openxcom 1.0git-maemo3

=== debian/changelog ===
openxcom (1.0git-maemo3) unstable; urgency=low

  * sound enabled

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 24 Oct 2014 15:17:52 +0300

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 
 Package: openxcom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wget, unzip, zenity
+Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity
 Description: Open-source clone of UFO: Enemy Unknown
  OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
  turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
  OpenXcom requires game resources from the original game (DOS, Windows or Steam version).
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=76463
 XB-Maemo-Display-Name: OpenXcom
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAOI0lEQVRogbWZ

## openxcom 1.0git-maemo4

=== debian/changelog ===
openxcom (1.0git-maemo4) unstable; urgency=low

  * incorrect location when centering on enemy - fixed
  * arm target built with openGL (glshim)

 -- Siim Salonen <siim.salonen@gmail.com>  Mon, 27 Oct 2014 15:07:11 +0200

=== install/debian/changelog ===
openxcom (0.9-1) unstable; urgency=low

  * Release of version 0.9

 -- Krzysztof Knapik <knapsu@gmail.com>  Tue, 07 May 2013 13:40:44 +0200

openxcom (0.4.5-1) unstable; urgency=low

  * Release of version 0.4.5

 -- Krzysztof Knapik <knapsu@gmail.com>  Sun, 11 Nov 2012 18:08:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,6 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	#	$(MAKE) prefix=$(CURDIR)/debian/openxcom/usr install
-	# todo: enable dh_makeshlibs in libsdl-mixer1.2.8 
 
 	dh_install -s

## openxcom 1.0r558-maemo5

=== debian/changelog ===
openxcom (1.0r558-maemo5) unstable; urgency=low

  * 'blue arrow' can also used for right click

 -- Siim Salonen <siim.salonen@gmail.com>  Tue,  4 Nov 2014 11:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Siim Salonen <siim.salonen@gmail.com>
-Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev
+Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev, libglshim-dev [armel]
 Standards-Version: 3.7.2
 Homepage: http://openxcom.org/
 
 Package: openxcom
 Architecture: any
-Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity
+Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity, libglshim [armel]
 Description: Open-source clone of UFO: Enemy Unknown
  OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
  turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.

## openxcom 1.0r558-maemo6

=== docs/CMakeLists.txt ===
find_program ( DOXYGEN_EXECUTABLE
  NAMES doxygen
  DOC "Doxygen program" )

if ( NOT ( DOXYGEN_EXECUTABLE MATCHES "NOTFOUND" ) )
  message ( "Found doxygen:${DOXYGEN_EXECUTABLE}" )
  set ( top_srcdir "${CMAKE_SOURCE_DIR}" )
  configure_file (
	    "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in"
	    "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
  )

  file ( READ
  "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
    cmake_doxyfile )

  if ( NOT ("${CPACK_PACKAGE_VERSION_PATCH}" STREQUAL "" ) )
    set ( VERSION_EXTRA ".${CPACK_PACKAGE_VERSION_PATCH}" )
  endif ()

  string ( REGEX REPLACE
    "PROJECT_NUMBER         = [0-9].[0-9]"
    "PROJECT_NUMBER         = ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${VERSION_EXTRA}"
    cmake_doxyfile
    "${cmake_doxyfile}" )

  file ( WRITE
    "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cmake"
    "${cmake_doxyfile}" )

  add_custom_target ( doxygen
    COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cmake"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    COMMENT "Generating doxygen documentation" )
else ()
  message ( "No doxygen command found. Disable API documentation generation" )
endif ()

=== src/CMakeLists.txt ===
set ( root_src
  main.cpp
  lodepng.cpp
  lodepng.h
  dirent.h
  fmath.h
  version.h
)

set ( basescape_src
  Basescape/BaseView.cpp
  Basescape/BaseView.h
  Basescape/CraftSoldiersState.cpp
  Basescape/CraftSoldiersState.h
  Basescape/TransfersState.cpp
  Basescape/TransfersState.h
  Basescape/StoresState.cpp
  Basescape/StoresState.h
  Basescape/SackSoldierState.h
  Basescape/SackSoldierState.cpp
  Basescape/SellState.h
  Basescape/SellState.cpp
  Basescape/CraftInfoState.cpp
  Basescape/CraftInfoState.h
  Basescape/PlaceLiftState.h
  Basescape/PlaceLiftState.cpp
  Basescape/DismantleFacilityState.h
  Basescape/DismantleFacilityState.cpp
  Basescape/SoldierInfoState.h
  Basescape/SoldierInfoState.cpp
  Basescape/CraftsState.cpp
  Basescape/CraftsState.h
  Basescape/PlaceFacilityState.h
  Basescape/PlaceFacilityState.cpp
  Basescape/TransferItemsState.cpp
  Basescape/TransferItemsState.h
  Basescape/CraftArmorState.h
  Basescape/CraftArmorState.cpp
  Basescape/MonthlyCostsState.cpp
  Basescape/MonthlyCostsState.h
  Basescape/CraftEquipmentState.cpp
  Basescape/CraftEquipmentState.h
  Basescape/BaseInfoState.h
  Basescape/BaseInfoState.cpp
  Basescape/ResearchState.h
  Basescape/ResearchState.cpp
  Basescape/PurchaseState.cpp
  Basescape/PurchaseState.h
  Basescape/TransferBaseState.cpp
  Basescape/TransferBaseState.h
  Basescape/CraftWeaponsState.h
  Basescape/CraftWeaponsState.cpp
  Basescape/ManufactureState.h
  Basescape/ManufactureState.cpp
  Basescape/BuildFacilitiesState.h
  Basescape/BuildFacilitiesState.cpp
  Basescape/MiniBaseView.cpp
  Basescape/MiniBaseView.h
  Basescape/BasescapeState.cpp
  Basescape/BasescapeState.h
  Basescape/TransferConfirmState.cpp
  Basescape/TransferConfirmState.h
  Basescape/SoldierArmorState.h
  Basescape/SoldierArmorState.cpp
  Basescape/SoldiersState.cpp
  Basescape/SoldiersState.h
  Basescape/NewResearchListState.h
  Basescape/NewResearchListState.cpp
  Basescape/ResearchInfoState.h
  Basescape/ResearchInfoState.cpp
  Basescape/NewManufactureListState.h
  Basescape/NewManufactureListState.cpp
  Basescape/ManufactureStartState.h
  Basescape/ManufactureStartState.cpp
  Basescape/ManufactureInfoState.h
  Basescape/ManufactureInfoState.cpp
  Basescape/PlaceStartFacilityState.h
  Basescape/PlaceStartFacilityState.cpp
  Basescape/SelectStartFacilityState.h
  Basescape/SelectStartFacilityState.cpp
  Basescape/SoldierMemorialState.cpp
  Basescape/SoldierMemorialState.h
  Basescape/ManageAlienContainmentState.h
  Basescape/ManageAlienContainmentState.cpp
)

set ( battlescape_src
  Battlescape/ActionMenuState.cpp
  Battlescape/ActionMenuState.h
  Battlescape/PathfindingNode.cpp
  Battlescape/PathfindingNode.h
  Battlescape/Position.h
  Battlescape/Position.cpp
  Battlescape/Map.h
  Battlescape/Map.cpp
  Battlescape/Pathfinding.h
  Battlescape/Pathfinding.cpp
  Battlescape/ExplosionBState.h
  Battlescape/ExplosionBState.cpp
  Battlescape/UnitTurnBState.cpp
  Battlescape/UnitTurnBState.h
  Battlescape/ActionMenuItem.h
  Battlescape/ActionMenuItem.cpp
  Battlescape/BriefingState.h
  Battlescape/BriefingState.cpp
  Battlescape/ProjectileFlyBState.cpp
  Battlescape/ProjectileFlyBState.h
  Battlescape/PrimeGrenadeState.cpp
  Battlescape/PrimeGrenadeState.h
  Battlescape/UnitInfoState.h
  Battlescape/UnitInfoState.cpp
  Battlescape/BattlescapeState.cpp
  Battlescape/BattlescapeState.h
  Battlescape/BattlescapeGenerator.h
  Battlescape/BattlescapeGenerator.cpp
  Battlescape/Camera.h
  Battlescape/Camera.cpp
  Battlescape/Projectile.cpp
  Battlescape/Projectile.h
  Battlescape/Particle.cpp
  Battlescape/Particle.h
  Battlescape/UnitDieBState.h
  Battlescape/UnitDieBState.cpp
  Battlescape/Explosion.cpp
  Battlescape/Explosion.h
  Battlescape/InventoryState.cpp
  Battlescape/InventoryState.h
  Battlescape/UnitSprite.h
  Battlescape/UnitSprite.cpp
  Battlescape/BattleState.h
  Battlescape/BattleState.cpp
  Battlescape/UnitFallBState.h
  Battlescape/UnitFallBState.cpp
  Battlescape/UnitWalkBState.h
  Battlescape/UnitWalkBState.cpp
  Battlescape/UnitPanicBState.h
  Battlescape/UnitPanicBState.cpp
  Battlescape/NextTurnState.cpp
  Battlescape/NextTurnState.h
  Battlescape/NoContainmentState.cpp
  Battlescape/NoContainmentState.h
  Battlescape/AlienBAIState.cpp
  Battlescape/AlienBAIState.h
  Battlescape/BattleAIState.cpp
  Battlescape/BattleAIState.h
  Battlescape/BattlescapeMessage.cpp
  Battlescape/BattlescapeMessage.h
  Battlescape/Inventory.cpp
  Battlescape/Inventory.h
  Battlescape/CivilianBAIState.cpp
  Battlescape/CivilianBAIState.h
  Battlescape/WarningMessage.cpp
  Battlescape/WarningMessage.h
  Battlescape/AbortMissionState.cpp
  Battlescape/AbortMissionState.h
  Battlescape/DebriefingState.cpp
  Battlescape/DebriefingState.h
  Battlescape/InfoboxState.cpp
  Battlescape/InfoboxState.h
  Battlescape/InfoboxOKState.cpp
  Battlescape/InfoboxOKState.h
  Battlescape/TileEngine.cpp
  Battlescape/TileEngine.h
  Battlescape/MiniMapView.h
  Battlescape/MiniMapView.cpp
  Battlescape/MiniMapState.h
  Battlescape/MiniMapState.cpp
  Battlescape/MedikitState.cpp
  Battlescape/MedikitState.h
  Battlescape/MedikitView.cpp
  Battlescape/MedikitView.h
  Battlescape/ScannerState.cpp
  Battlescape/ScannerState.h
  Battlescape/ScannerView.cpp
  Battlescape/ScannerView.h
  Battlescape/PromotionsState.cpp
  Battlescape/PromotionsState.h
  Battlescape/BattlescapeGame.cpp
  Battlescape/BattlescapeGame.h
  Battlescape/CannotReequipState.cpp
  Battlescape/CannotReequipState.h
  Battlescape/PathfindingOpenSet.cpp
  Battlescape/PathfindingOpenSet.h
  Battlescape/AliensCrashState.cpp
  Battlescape/AliensCrashState.h
)

set ( engine_src
  Engine/State.h
  Engine/State.cpp
  Engine/CatFile.cpp
  Engine/CatFile.h
  Engine/RNG.h
  Engine/RNG.cpp
  Engine/Exception.h
  Engine/Exception.cpp
  Engine/Music.h
  Engine/Music.cpp
  Engine/Timer.cpp
  Engine/Timer.h
  Engine/Language.cpp
  Engine/Language.h
  Engine/LanguagePlurality.cpp
  Engine/LanguagePlurality.h
  Engine/Game.cpp
  Engine/Game.h
  Engine/Action.cpp
  Engine/Action.h
  Engine/Palette.cpp
  Engine/Palette.h
  Engine/SoundSet.cpp
  Engine/SoundSet.h
  Engine/GMCat.h
  Engine/GMCat.cpp
  Engine/InteractiveSurface.cpp
  Engine/InteractiveSurface.h
  Engine/Surface.cpp
  Engine/Surface.h
  Engine/Font.cpp
  Engine/Font.h
  Engine/DosFont.h
  Engine/OpenGL.cpp
  Engine/OpenGL.h
  Engine/Options.cpp
  Engine/Options.h
  Engine/OptionInfo.cpp
  Engine/OptionInfo.h
  Engine/CrossPlatform.cpp
  Engine/CrossPlatform.h
  Engine/Sound.h
  Engine/Sound.cpp
  Engine/SurfaceSet.cpp
  Engine/SurfaceSet.h
  Engine/Screen.cpp
  Engine/Screen.h
  Engine/Logger.h
  Engine/LocalizedText.cpp
  Engine/LocalizedText.h
  Engine/FastLineClip.cpp
  Engine/FastLineClip.h
  Engine/Flc.cpp
  Engine/Flc.h
  Engine/Zoom.cpp
  Engine/Zoom.h
  Engine/ShaderDraw.h
  Engine/ShaderDrawHelper.h
  Engine/ShaderMove.h
  Engine/ShaderRepeat.h
  Engine/Scalers/scale2x.cpp
  Engine/Scalers/scale2x.h
  Engine/Scalers/scale3x.cpp
  Engine/Scalers/scale3x.h
  Engine/Scalers/scalebit.cpp
  Engine/Scalers/scalebit.h
  Engine/Scalers/common.h
  Engine/Scalers/hqx.h
  Engine/Scalers/hq2x.cpp
  Engine/Scalers/hq3x.cpp
  Engine/Scalers/hq4x.cpp
  Engine/Scalers/init.cpp
  Engine/Scalers/config.h
  Engine/Scalers/xbrz.h  
  Engine/Scalers/xbrz.cpp
  Engine/Adlib/adlplayer.cpp
  Engine/Adlib/adlplayer.h
  Engine/Adlib/fmopl.cpp
  Engine/Adlib/fmopl.h
  Engine/AdlibMusic.h
  Engine/AdlibMusic.cpp
)

set ( geoscape_src
  Geoscape/GeoscapeCraftState.cpp
  Geoscape/GeoscapeCraftState.h
  Geoscape/UfoDetectedState.h
  Geoscape/UfoDetectedState.cpp
  Geoscape/InterceptState.h
  Geoscape/InterceptState.cpp
  Geoscape/ConfirmNewBaseState.h
  Geoscape/ConfirmNewBaseState.cpp
  Geoscape/ConfirmDestinationState.h
  Geoscape/ConfirmDestinationState.cpp
  Geoscape/Globe.cpp
  Geoscape/Globe.h
  Geoscape/SelectDestinationState.cpp
  Geoscape/SelectDestinationState.h
  Geoscape/FundingState.h
  Geoscape/FundingState.cpp
  Geoscape/BuildNewBaseState.h
  Geoscape/BuildNewBaseState.cpp
  Geoscape/MonthlyReportState.cpp
  Geoscape/MonthlyReportState.h
  Geoscape/CraftErrorState.cpp
  Geoscape/CraftErrorState.h
  Geoscape/ProductionCompleteState.h
  Geoscape/ProductionCompleteState.cpp
  Geoscape/TargetInfoState.h
  Geoscape/TargetInfoState.cpp
  Geoscape/LowFuelState.h
  Geoscape/LowFuelState.cpp
  Geoscape/CraftPatrolState.cpp
  Geoscape/CraftPatrolState.h
  Geoscape/UfoLostState.cpp
  Geoscape/UfoLostState.h
  Geoscape/GraphsState.cpp
  Geoscape/GraphsState.h
  Geoscape/ConfirmCydoniaState.cpp
  Geoscape/ConfirmCydoniaState.h
  Geoscape/ConfirmLandingState.cpp
  Geoscape/ConfirmLandingState.h
  Geoscape/BaseNameState.cpp
  Geoscape/BaseNameState.h
  Geoscape/BaseDestroyedState.cpp
  Geoscape/BaseDestroyedState.h
  Geoscape/BaseDefenseState.cpp
  Geoscape/BaseDefenseState.h
  Geoscape/MultipleTargetsState.cpp
  Geoscape/MultipleTargetsState.h
  Geoscape/ItemsArrivingState.cpp
  Geoscape/ItemsArrivingState.h
  Geoscape/DogfightState.cpp
  Geoscape/DogfightState.h
  Geoscape/GeoscapeState.cpp
  Geoscape/GeoscapeState.h
  Geoscape/ResearchCompleteState.h
  Geoscape/ResearchCompleteState.cpp
  Geoscape/NewPossibleResearchState.h
  Geoscape/NewPossibleResearchState.cpp
  Geoscape/AllocatePsiTrainingState.h
  Geoscape/AllocatePsiTrainingState.cpp
  Geoscape/PsiTrainingState.h
  Geoscape/PsiTrainingState.cpp
  Geoscape/AlienBaseState.h
  Geoscape/AlienBaseState.cpp
  Geoscape/AlienTerrorState.h
  Geoscape/AlienTerrorState.cpp
  Geoscape/NewPossibleManufactureState.h
  Geoscape/NewPossibleManufactureState.cpp
  Geoscape/VictoryState.h
  Geoscape/VictoryState.cpp
  Geoscape/DefeatState.h
  Geoscape/DefeatState.cpp
  Geoscape/ResearchRequiredState.h
  Geoscape/ResearchRequiredState.cpp
)

set ( interface_src
  Interface/Window.cpp
  Interface/Window.h
  Interface/NumberText.cpp
  Interface/NumberText.h
  Interface/ArrowButton.cpp
  Interface/ArrowButton.h
  Interface/BattlescapeButton.cpp
  Interface/BattlescapeButton.h
  Interface/TextButton.cpp
  Interface/TextButton.h
  Interface/ToggleTextButton.cpp
  Interface/ToggleTextButton.h
  Interface/Text.h
  Interface/Text.cpp
  Interface/Bar.h
  Interface/Bar.cpp
  Interface/FpsCounter.h
  Interface/FpsCounter.cpp
  Interface/ImageButton.h
  Interface/ImageButton.cpp
  Interface/TextEdit.cpp
  Interface/TextEdit.h
  Interface/TextList.h
  Interface/TextList.cpp
  Interface/Cursor.h
  Interface/Cursor.cpp
  Interface/Frame.h
  Interface/Frame.cpp
  Interface/Slider.h
  Interface/Slider.cpp
  Interface/ComboBox.h
  Interface/ComboBox.cpp
  Interface/ScrollBar.h
  Interface/ScrollBar.cpp
)

set ( menu_src
  Menu/StartState.cpp
  Menu/StartState.h
  Menu/IntroState.cpp
  Menu/IntroState.h
  Menu/MainMenuState.cpp
  Menu/MainMenuState.h
  Menu/TestState.h
  Menu/TestState.cpp
  Menu/ListSaveState.cpp
  Menu/ListSaveState.h
  Menu/ListLoadState.cpp
  Menu/ListLoadState.h
  Menu/ConfirmLoadState.cpp
  Menu/ConfirmLoadState.h
  Menu/NewGameState.cpp
  Menu/NewGameState.h
  Menu/NewBattleState.cpp
  Menu/NewBattleState.h
  Menu/ErrorMessageState.cpp
  Menu/ErrorMessageState.h
  Menu/DeleteGameState.cpp
  Menu/DeleteGameState.h
  Menu/ListGamesState.cpp
  Menu/ListGamesState.h
  Menu/OptionsBaseState.cpp
  Menu/OptionsBaseState.h
  Menu/OptionsControlsState.cpp
  Menu/OptionsControlsState.h
  Menu/OptionsAdvancedState.cpp
  Menu/OptionsAdvancedState.h
  Menu/OptionsBattlescapeState.cpp
  Menu/OptionsBattlescapeState.h
  Menu/OptionsVideoState.cpp
  Menu/OptionsVideoState.h
  Menu/OptionsAudioState.cpp
  Menu/OptionsAudioState.h
  Menu/OptionsNoAudioState.cpp
  Menu/OptionsNoAudioState.h
  Menu/OptionsGeoscapeState.cpp
  Menu/OptionsGeoscapeState.h
  Menu/OptionsModsState.cpp
  Menu/OptionsModsState.h
  Menu/OptionsConfirmState.cpp
  Menu/OptionsConfirmState.h
  Menu/OptionsDefaultsState.cpp
  Menu/OptionsDefaultsState.h
  Menu/AbandonGameState.cpp
  Menu/AbandonGameState.h
  Menu/PauseState.cpp
  Menu/PauseState.h
  Menu/LoadGameState.cpp

=== debian/changelog ===
openxcom (1.0r558-maemo6) unstable; urgency=low

  * configurable 'disable mouse' and 'right click' modifiers
  * postinst script fixed

 -- Siim Salonen <siim.salonen@gmail.com>  Thu,  6 Nov 2014 15:20:03 +0200

## openxcom 1.0r558-maemo7

=== debian/changelog ===
openxcom (1.0r558-maemo7) unstable; urgency=low

  * default keybindings changed

 -- Siim Salonen <siim.salonen@gmail.com>  Fri,  7 Nov 2014 11:38:10 +0200

=== install/debian/control ===
Source: openxcom
Section: games
Priority: optional
Maintainer: Krzysztof Knapik <knapsu@gmail.com>
Build-Depends:
	debhelper (>=9),
	libsdl1.2-dev,
	libsdl-mixer1.2-dev,
	libsdl-gfx1.2-dev (>= 2.0.22),
	libsdl-image1.2-dev,
	libyaml-cpp-dev (>= 0.5.1),
	libboost-dev
Standards-Version: 3.9.4
Homepage: http://openxcom.org/
Vcs-Git: git://github.com/SupSuper/OpenXcom.git
Vcs-Browser: https://github.com/SupSuper/OpenXcom

Package: openxcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openxcom-data
Description: Open-source clone of UFO: Enemy Unknown
 OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
 turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
 OpenXcom requires game resources from the original game (DOS, Windows or Steam version).

## openxcom 1.0r558-maemo8

=== debian/changelog ===
openxcom (1.0r558-maemo8) unstable; urgency=low

  * postinst script fixed

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 14 Nov 2014 11:52:28 +0200

=== install/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src

override_dh_install:
	mkdir -p debian/openxcom/usr/bin
	cp bin/openxcom debian/openxcom/usr/bin/
	mkdir -p debian/openxcom/usr/share/openxcom
	cp -r bin/data/ debian/openxcom/usr/share/openxcom/
	mkdir -p debian/openxcom/usr/share/applications
	cp res/linux/openxcom.desktop debian/openxcom/usr/share/applications/
	mkdir -p debian/openxcom/usr/share/icons/hicolor/48x48/apps
	cp res/linux/icons/openxcom_48x48.png debian/openxcom/usr/share/icons/hicolor/48x48/apps/openxcom.png
	mkdir -p debian/openxcom/usr/share/icons/hicolor/128x128/apps
	cp res/linux/icons/openxcom_128x128.png debian/openxcom/usr/share/icons/hicolor/128x128/apps/openxcom.png
	dh_install
